#!/bin/bash
# Copyright IBM Corp. 2000-2001

# THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
# All Rights Reserved * Licensed Materials - Property of IBM
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
#
# Change Log:
#     June 22, 2004 - JC: created 
#     June 24, 2004 - JC: change the message not to use <> 
#     June 24, 2004 - JC: delete the log
#     June 27, 2004 - JC: add tioadmin into MQ Authority
#     July 5,  2004 - JC: add localeFix.sh 
#     July 13, 2004 - JC: reload all tcdrivers
#     July 15, 1004 - JC: patch the schema before loading drivers
#

# Description: master post install script
#

CURRENT_DIR=`dirname $0`
[ "$CURRENT_DIR" = "." ] && CURRENT_DIR=`pwd`

	
if [ $# -ne 2 ]; then
	echo usage: $0 [WAS Admin User] [Was Admin Password]
	exit $LINENO
fi

WASADMIN=$1
WASPASSWD=$2

echo start of $0
id | cut -d ' ' -f1 | grep "tioadmin"
if [ $? -ne 0 ]; then
        echo must be tioadmin to run the post install, exiting
	exit $LINENO
fi

echo add tioadmin into MQ Authority
CELL=`echo $HOSTNAME | cut -d '.' -f1`
$TIO_HOME/tools/updateMQAdminUserId.sh $WAS_HOME $CELL tioadmin
if [ $? -ne 0 ]; then
        echo must run $TIO_HOME/tools/updateMQAdminUserId.sh to add tioadmin into MQ authority, exiting
        exit $LINENO
fi

echo redeploy TCEAR
$CURRENT_DIR/was_deploy.sh $WASADMIN $WASPASSWD 

echo add locale tab in configuration
$TIO_HOME/tools/localeFix.sh

echo patch the  database schema
$TIO_HOME/tools/patch.sh $TIO_HOME/config/dcm.xml 

echo reload all the tc drivers
$TIO_HOME/tools/post-install.sh start

echo end of $0
